JcaCertificateRequestMessage (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.crmf.jcajce

## Class JcaCertificateRequestMessage

- java.lang.Object
- - org.bouncycastle.cert.crmf.CertificateRequestMessage
  - - org.bouncycastle.cert.crmf.jcajce.JcaCertificateRequestMessage

- All Implemented Interfaces:
    org.bouncycastle.util.Encodable

      public class JcaCertificateRequestMessage
      extends CertificateRequestMessage

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.cert.crmf.CertificateRequestMessage

      `popKeyAgreement, popKeyEncipherment, popRaVerified, popSigningKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaCertificateRequestMessage(byte[] certReqMsg)`
    `JcaCertificateRequestMessage(CertificateRequestMessage certReqMsg)`
    `JcaCertificateRequestMessage(org.bouncycastle.asn1.crmf.CertReqMsg certReqMsg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.PublicKey` | `getPublicKey()`
    `javax.security.auth.x500.X500Principal` | `getSubjectX500Principal()`
    `JcaCertificateRequestMessage` | `setProvider(java.security.Provider provider)`
    `JcaCertificateRequestMessage` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class org.bouncycastle.cert.crmf.CertificateRequestMessage

      `getCertTemplate, getControl, getEncoded, getProofOfPossessionType, hasControl, hasControls, hasProofOfPossession, hasSigningKeyProofOfPossessionWithPKMAC, isValidSigningKeyPOP, isValidSigningKeyPOP, toASN1Structure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaCertificateRequestMessage

          public JcaCertificateRequestMessage(byte[] certReqMsg)

    - #### JcaCertificateRequestMessage

          public JcaCertificateRequestMessage(CertificateRequestMessage certReqMsg)

    - #### JcaCertificateRequestMessage

          public JcaCertificateRequestMessage(org.bouncycastle.asn1.crmf.CertReqMsg certReqMsg)

  - ### Method Detail

    - #### setProvider

          public JcaCertificateRequestMessage setProvider(java.lang.String providerName)

    - #### setProvider

          public JcaCertificateRequestMessage setProvider(java.security.Provider provider)

    - #### getSubjectX500Principal

          public javax.security.auth.x500.X500Principal getSubjectX500Principal()

    - #### getPublicKey

          public java.security.PublicKey getPublicKey()
                                               throws CRMFException

      Throws:
        `CRMFException`